module.exports = `import _axios from '@/tool/http.js';
import request from '@/tool/newPromiseHttp.js';

export function getSaleMan(shopCode) {
  return request({
    url: '/base/systemUser/getSales?shopCode=' + shopCode,
    method: 'get',
  });
}

//查询订单列表
export function getOrderList(data) {
  return request({
    url: '/sale/wedding/list',
    method: 'post',
    data,
  });
}

//订单状态
export function getWeddingOrderStatus() {
  return request({
    url: '/base/systemDictionary/getByTypeToMap/weddingOrderStatus',
    method: 'post',
  });
}

//婚策订单导出
export function exportOrder(data) {
  return _axios({
    url: '/sale/wedding/orderExport',
    method: 'post',
    data,
    loadShade: true,
    responseType: 'blob',
  });
}
export function createSettlement(params) {
  return request({
    url: '/supplier/supplierSettlement/createSettlement',
    method: 'post',
    data: params,
  });
}`