module.exports = `export const filterOption = {
  items: [
    {
      label: '订单编号',
      type: 'input',
      data: undefined,
      placeholder: '订单编号',
      value: undefined,
      key: 'saleNumber',
    },
    {
      label: '客户姓名',
      type: 'input',
      data: undefined,
      placeholder: '客户姓名',
      value: undefined,
      key: 'manName',
    },
    {
      label: '客户手机号',
      type: 'input',
      data: undefined,
      placeholder: '客户手机号',
      value: undefined,
      key: 'mobile',
    },
    {
      label: '订单状态',
      type: 'dropdown',
      data: [],
      placeholder: '请选择',
      value: undefined,
      key: 'orderStatus',
    },

    {
      label: '婚策师',
      type: 'dropdown',
      data: [],
      placeholder: '请选择',
      value: undefined,
      key: 'salesman',
    },
    {
      label: '转介绍门店',
      type: 'largeAreaShopList',
      data: [],
      placeholder: '请选择',
      value: [],
      key: 'shopAuxiliary',
      clearFilter: false,
      multiple: false,
    },
    {
      label: '下单日期',
      type: 'datetimerange',
      data: undefined,
      placeholder: '请选择',
      value: undefined,
      key: 'creatTime',
    },
  ],
  btnGroup: [
    {
      label: '查询',
      type: 'search',
    },
    {
      label: '清空',
      type: 'clear',
    },
  ],
  close: true,
}

export const optionList = [
  {
    prop: 'planningTypeName',
    label: '策划类型',
  },
  {
    prop: 'manName',
    label: '客户姓名',
  },
  {
    prop: 'testStr',
    label: '测试渲染html',
    renderHtml: true,
    width: '130',
  },
  {
    prop: 'mobile',
    label: '客户手机号',
    width: '170',
  },

  {
    prop: 'predictReceiveTime',
    label: '举办日期',
    width: '120',
  },
  {
    prop: 'createTime',
    label: '下单日期',
    width: '160',
  },
  {
    prop: 'orderStatusName',
    label: '订单状态',
  },
]`